Page MenuHomePhabricator

Create a plugin that add's recheck as a button to PolyGerrit's ui
Closed, ResolvedPublic

Description

This plugin will target PolyGerrit's ui as it's the easiest and also GWTUI went away for 3.0.

Details

Related Gerrit Patches:
operations/software/gerrit/plugins/wikimedia : masterAdd support for "recheck" as button in PolyGerrit's ui
operations/software/gerrit/plugins/wikimedia : masterAdd support for "recheck" and "check experimental" as buttons in PolyGerrit's ui

Related Objects

StatusAssignedTask
ResolvedPaladox
OpenNone
ResolvedPaladox
ResolvedPaladox
DeclinedNone
ResolvedPaladox
Resolvedhashar
Resolvedhashar
Resolvedhashar
ResolvedNone
ResolvedJoe
ResolvedJoe
ResolvedJdforrester-WMF
Resolved bd808
Resolvedhashar
Resolvedhashar
Duplicatehashar
OpenNone
OpenNone
OpenNone

Event Timeline

Paladox created this task.Jan 24 2019, 7:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2019, 7:56 PM
Paladox claimed this task.Jan 24 2019, 7:58 PM
Dzahn awarded a token.Jan 25 2019, 8:13 AM

Change 487089 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/software/gerrit/plugins/wikimedia@master] Add support for "recheck" and "check experimental" as buttons in PolyGerrit's ui

https://gerrit.wikimedia.org/r/487089

Paladox triaged this task as Medium priority.Feb 3 2019, 12:18 AM
Paladox moved this task from Bugs & stuff to Local hacks on the Gerrit board.
Legoktm added a subscriber: Legoktm.Feb 3 2019, 3:55 AM

Adding 'recheck' sounds like a good idea. 'check experimental' is just supposed to be for the CI team testing new jobs and stuff - I don't think that should be exposed to users.

Dzahn added a comment.Feb 3 2019, 2:27 PM

'check experimental' is just supposed to be for the CI team testing new jobs and stuff - I don't think that should be exposed to users.

I'm already using it and found myself typing it manually quite a bit which made me suggest a button.

I think it's useful for operations/puppet for the compiler stuff? In which case we can only expose it to that project if you want?

Change 487089 abandoned by Paladox:
Add support for "recheck" and "check experimental" as buttons in PolyGerrit's ui

Reason:
done in https://gerrit.wikimedia.org/r/#/c/operations/software/gerrit/plugins/wikimedia/ /489482/

https://gerrit.wikimedia.org/r/487089

Change 489482 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/software/gerrit/plugins/wikimedia@master] Add support for "recheck" as button in PolyGerrit's ui

https://gerrit.wikimedia.org/r/489482

Paladox renamed this task from Create a plugin that add's recheck/check experimental as buttons to PolyGerrit ui's to Create a plugin that add's recheck as buttons to PolyGerrit ui's.Feb 12 2019, 5:22 PM

Change 489482 merged by Paladox:
[operations/software/gerrit/plugins/wikimedia@master] Add support for "recheck" as button in PolyGerrit's ui

https://gerrit.wikimedia.org/r/489482

Paladox renamed this task from Create a plugin that add's recheck as buttons to PolyGerrit ui's to Create a plugin that add's recheck as a button to PolyGerrit's ui.Feb 15 2019, 9:58 PM
Paladox closed this task as Resolved.
Paladox removed a project: Patch-For-Review.
Paladox removed a subscriber: gerritbot.